Skip to main content
GET
List program spending daily reports

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

programId
string
required

Unique loyalty program identifier (format: lprg_ followed by hexadecimal characters).

Query Parameters

start_date
string<date>
required

Sets the inclusive start of the report date range (YYYY-MM-DD). Must be before end_date.

Pattern: ^\d{4}-\d{2}-\d{2}$
end_date
string<date>
required

Sets the inclusive end of the report date range (YYYY-MM-DD). Must be after start_date.

Pattern: ^\d{4}-\d{2}-\d{2}$
resolution
enum<string>
required

Sets the aggregation resolution. Allowed date range: day max 90 days, week max 12 weeks, month max 12 months, quarter max 4 quarters.

Available options:
day,
week,
month,
quarter
filters
object

Filters rows by field conditions, e.g. filters[card_definition_id][conditions][$is]=lcdef_.... Filters for spending reports.

Response

Program spending daily report.

Response body schema for GET /v2/loyalties/programs/{programId}/reports/spending/daily.

data
object[]
required

List of report entries, one per aggregation period and card definition.

object
string
required

Object type marker. Always report.

Allowed value: "report"
Last modified on September 18, 2026